commit:     de912338b44d1f7d96c81fcf85e21d8f7fa7d7a4
Author:     Richard Freeman <rich0 <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  5 10:59:10 2016 +0000
Commit:     Richard Freeman <rich0 <AT> gentoo <DOT> org>
CommitDate: Sun Jun  5 10:59:38 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de912338

sys-process/systemd-cron: bump

Bug: 578574

Package-Manager: portage-2.2.28

 sys-process/systemd-cron/Manifest                  |  1 +
 sys-process/systemd-cron/systemd-cron-1.5.4.ebuild | 73 ++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/sys-process/systemd-cron/Manifest 
b/sys-process/systemd-cron/Manifest
index d1b8b4e..814430b 100644
--- a/sys-process/systemd-cron/Manifest
+++ b/sys-process/systemd-cron/Manifest
@@ -1 +1,2 @@
 DIST systemd-cron-1.5.3.tar.gz 29105 SHA256 
3623b625938e1dc45ea3b7abf6eab35180c73eddf7865f4297cc5f38c8e09aca SHA512 
ea0241f93b8d92497fa020d84630ee153dc299d9b16b17567784a4dcb5ddf0a4589e7e033428562a862218ef79b192245178df2d7dcc69f779ef9156921674c7
 WHIRLPOOL 
51a148f780397b79d5988fb729061318c38afd2c096bf2eb4d62e340db2753f9268be11ca54974a7480d83b424cf9638961c713d843ef2ffaea1b1fe234ba539
+DIST systemd-cron-1.5.4.tar.gz 30436 SHA256 
acb99095cbef7812e556ac98574a9121c06ffdc3f28622b9dee098d81bcbbdcd SHA512 
e6fe60de9d6cbc223b8358bd6b1a060e11f1ea16a8f0b24662914ddb18d827f7b4c62fd40dbefed3d0ac38b1e748998ec5e0430d4ea751e8a20b94b9803bcb89
 WHIRLPOOL 
31f95488b3df2249807155eb5433d17a1e9013eee6ce49795b981847a4792b95ff6775297031cbd73cb0276b7c9ddf5a5241dfc7b4db99269da086803937c930

diff --git a/sys-process/systemd-cron/systemd-cron-1.5.4.ebuild 
b/sys-process/systemd-cron/systemd-cron-1.5.4.ebuild
new file mode 100644
index 0000000..b759b35
--- /dev/null
+++ b/sys-process/systemd-cron/systemd-cron-1.5.4.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( pypy3 python{3_3,3_4} )
+inherit eutils python-single-r1 systemd
+
+DESCRIPTION="systemd units to create timers for cron directories and crontab"
+HOMEPAGE="https://github.com/systemd-cron/systemd-cron/";
+SRC_URI="https://github.com/systemd-cron/${PN}/archive/v${PV}.tar.gz -> 
systemd-cron-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="cron-boot etc-crontab-systemd minutely setgid yearly"
+
+RDEPEND=">=sys-apps/systemd-217
+            sys-apps/debianutils
+            !etc-crontab-systemd? ( !sys-process/dcron )
+            ${PYTHON_DEPS}
+                sys-process/cronbase"
+
+DEPEND="sys-process/cronbase"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+src_prepare() {
+       python_fix_shebang --force "${S}/src/bin"
+
+       sed -i \
+               -e 's/^crontab/crontab-systemd/' \
+               -e 's/^CRONTAB/CRONTAB-SYSTEMD/' \
+               -- "${S}/src/man/crontab."{1,5}".in" || die
+
+       sed -i \
+               -e 's!/crontab$!/crontab-systemd!' \
+               -e 's!/crontab\(\.[15]\)$!/crontab-systemd\1!' \
+               -- "${S}/Makefile.in" || die
+
+       if use etc-crontab-systemd
+       then    sed -i \
+                       -e "s!/etc/crontab!/etc/crontab-systemd!" \
+                       -- "${S}/src/man/crontab."{1,5}".in" \
+                       "${S}/src/bin/systemd-crontab-generator.py" || die
+       fi
+
+       epatch_user
+}
+
+my_use_enable() {
+       if use ${1}; then
+               echo --enable-${2:-${1}}=yes
+       else
+               echo --enable-${2:-${1}}=no
+       fi
+}
+
+src_configure() {
+       ./configure \
+               --prefix="${EPREFIX}/usr" \
+               --confdir="${EPREFIX}/etc" \
+               --runparts="${EPREFIX}/bin/run-parts" \
+               --mandir="${EPREFIX}/usr/share/man" \
+               --unitdir="$(systemd_get_unitdir)" \
+               $(my_use_enable cron-boot boot) \
+               $(my_use_enable minutely) \
+               $(my_use_enable yearly) \
+               $(my_use_enable yearly quarterly) \
+               $(my_use_enable yearly semi_annually) \
+               $(my_use_enable setgid) \
+               --enable-persistent=yes
+}

Reply via email to